#include <catch2/catch_test_macros.hpp>
#include <fmt/core.h>
#include <string>
#include "graphics/palette.hpp"

using namespace fmt;

TEST_CASE("color palette test", "[color-palette]") {
  palette::init();
  REQUIRE(palette::initialized() == true);
  // confirm it's idempotent
  palette::init();

  auto gui_text = palette::get("gui/theme:dark_dark");
  REQUIRE(gui_text.r > 0);
  REQUIRE(gui_text.g > 0);
  REQUIRE(gui_text.b > 0);
}
